pcl::kinfuLS::ScreenshotManager Class Reference

Screenshot Manager saves a screenshot with the corresponding camera pose from Kinfu. More...

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/screenshot_manager.h>`

## Public Types

using | PixelRGB = pcl::gpu::kinfuLS::PixelRGB

## Public Member Functions

| ScreenshotManager ()
| Constructor. More...
| ~ScreenshotManager ()
| Destructor. More...
void | setCameraIntrinsics (float focal=575.816f, float height=480.0f, float width=640.0f)
| Sets Depth camera intrinsics. More...
void | saveImage (const Eigen::Affine3f &camPose, pcl::gpu::PtrStepSz< const PixelRGB > rgb24)
| Save Screenshot. More...

## Detailed Description

Screenshot Manager saves a screenshot with the corresponding camera pose from Kinfu.

Please create a folder named "KinFuSnapshots" in the folder where you call kinfu.

Author
  Francisco Heredia

Definition at line 66 of file screenshot_manager.h.

## Member Typedef Documentation

## PixelRGB

using pcl::kinfuLS::ScreenshotManager::PixelRGB = pcl::gpu::kinfuLS::PixelRGB

Definition at line 70 of file screenshot_manager.h.

## Constructor & Destructor Documentation

## ScreenshotManager()

pcl::kinfuLS::ScreenshotManager::ScreenshotManager | ( |  | ) |

Constructor.

## ~ScreenshotManager()

pcl::kinfuLS::ScreenshotManager::~ScreenshotManager | ( |  | ) |

inline

Destructor.

Definition at line 76 of file screenshot_manager.h.

## Member Function Documentation

## saveImage()

void pcl::kinfuLS::ScreenshotManager::saveImage | ( | const Eigen::Affine3f & | camPose,
|  | pcl::gpu::PtrStepSz< const PixelRGB > | rgb24
| ) |  |

Save Screenshot.

## setCameraIntrinsics()

void pcl::kinfuLS::ScreenshotManager::setCameraIntrinsics | ( | float | focal = `575.816f`,
|  | float | height = `480.0f`,
|  | float | width = `640.0f`
| ) |  |

Sets Depth camera intrinsics.

Parameters

  [in] | focal | focal length x
  | height |
  | width |

The documentation for this class was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/screenshot_manager.h